package com.ann.demo.entity.filing;

/**
 * @author 王思懿
 * @创建人 wangsiyi
 * @创建时间 2020/6/16
 * @描述
 */
public class ContentRetrunInfo {
    /**
     * 属性单一判断
     *
     * @param type
     * @return
     */
    public String getReturnInfo(String type) {
        /**
         * 新生儿出生体重（可能多胎）
         */
        String YZY072 = "YZY072";
        if (YZY072.equals(type)) {
            return "新生儿出生体重不能为空, ";
        }

        /**
         * 新生儿入院体重
         */
        String YZY073 = "YZY073";
        if (YZY073.equals(type)) {
            return "新生儿入院体重不能为空, ";
        }

        /**
         * 病案号
         */
        String YZY001 = "YZY001";
        if (YZY001.equals(type)) {
            return "病案号必填, ";
        }

        /**
         * 出生日期
         */
        String AAC006 = "AAC006";
        if (AAC006.equals(type)) {
            return "出生日期必填, ";
        }

        /**
         * 医疗付费方式
         */
        String YZY074 = "YZY074";
        if (YZY074.equals(type)) {
            return "医疗付费方式必填, ";
        }

        /**
         * 现住址（省、市、县、街道）
         */
        String YZY075 = "YZY075";
        if (YZY075.equals(type)) {
            return "现住址必填, ";
        }

        /**
         * 出生地（省、市、县）
         */
        String YZY010 = "YZY010";
        if (YZY010.equals(type)) {
            return "出生地必填, ";
        }

        /**
         * 职业
         */
        String YZY016 = "YZY016";
        if (YZY016.equals(type)) {
            return "职业必填, ";
        }

        /**
         * 联系人地址
         */
        String YZY027 = "YZY027";
        if (YZY027.equals(type)) {
            return "联系人姓名不为空时，联系人地址必填, ";
        }

        /**
         * 联系人地址
         */
        String YZY028 = "YZY028";
        if (YZY028.equals(type)) {
            return "联系人姓名不为空时，联系人电话必填, ";
        }

        /**
         * 身份证
         */
        String YZY011 = "YZY011";
        if (YZY011.equals(type)) {
            return "身份证信息必填, ";
        }

        /**
         * 住院次数
         */
        String YZY002 = "YZY002";
        if (YZY002.equals(type)) {
            return "住院次数必填, ";
        }

        /**
         * 婚姻
         */
        String YZY018 = "YZY018";
        if (YZY018.equals(type)) {
            return "婚况必填, ";
        }

        /**
         * 姓名
         */
        String AAC003 = "AAC003";
        if (AAC003.equals(type)) {
            return "姓名必填, ";
        }

        /**
         * 民族
         */
        String YZY015 = "YZY015";
        if (YZY015.equals(type)) {
            return "民族必填, ";
        }

        /**
         * 国籍
         */
        String YZY013 = "YZY013";
        if (YZY013.equals(type)) {
            return "国籍必填, ";
        }

        /**
         * 籍贯
         */
        String YZY076 = "YZY076";
        if (YZY076.equals(type)) {
            return "籍贯必填, ";
        }

        /**
         * 组织机构代码
         */
        String YZY077 = "YZY077";
        if (YZY077.equals(type)) {
            return "组织机构代码必填, ";
        }

        /**
         * 医疗机构
         */
        String YZY078 = "YZY078";
        if (YZY078.equals(type)) {
            return "医疗机构必填, ";
        }

        /**
         * 户口地址（省、市、县、街道）
         */
        String AAC010 = "AAC010";
        if (AAC010.equals(type)) {
            return "户口地址必填, ";
        }

        /**
         * 户口地址邮编
         */
        String YZY024 = "YZY024";
        if (YZY024.equals(type)) {
            return "户口地址邮编必填, ";
        }

        /**
         * 联系人关系
         */
        String YZY026 = "YZY026";
        if (YZY026.equals(type)) {
            return "联系人姓名不为空时，联系人关系必填, ";
        }

        /**
         * 现住址电话
         */
        String YZY079 = "YZY079";
        if (YZY079.equals(type)) {
            return "现住址电话必填, ";
        }

        /**
         * 工作单位电话
         */
        String YZY021 = "YZY021";
        if (YZY021.equals(type)) {
            return "当工作单位及地址不为空时，工作单位电话必填, ";
        }

        /**
         * 工作单位地址邮编
         */
        String YZY022 = "YZY022";
        if (YZY022.equals(type)) {
            return "当工作单位及地址不为空时，工作单位地址邮编必填, ";
        }

        /**
         * 现住址邮编
         */
        String YZY080 = "YZY080";
        if (YZY080.equals(type)) {
            return "现住址邮编必填, ";
        }

        /**
         * 治疗类-9-临床物理治疗费
         */
        String YZY132 = "YZY132";
        if (YZY132.equals(type)) {
            return "治疗类-9-临床物理治疗费：费用不允许小于0, ";
        }

        /**
         * 治疗类-10-麻醉费
         */
        String YZY134 = "YZY134";
        if (YZY134.equals(type)) {
            return "治疗类-10-麻醉费：费用不允许小于0，";
        }

        /**
         * 西药类-13-抗菌药物费用
         */
        String YZY152 = "YZY152";
        if (YZY152.equals(type)) {
            return "西药类-13-抗菌药物费用：费用不允许小于0，";
        }

        /**
         * 综合医疗服务类-一般医疗服务费(1)
         */
        String YZY123 = "YZY123";
        if (YZY123.equals(type)) {
            return "综合医疗服务类-一般医疗服务费(1)：费用不允许小于0，";
        }

        /**
         * 综合医疗服务类-一般治疗操作费(2)
         */
        String YZY124 = "YZY124";
        if (YZY124.equals(type)) {
            return "综合医疗服务类-一般治疗操作费(2)：费用不允许小于0，";
        }

        /**
         * 综合医疗服务类-护理费(3)
         */
        String YZY125 = "YZY125";
        if (YZY125.equals(type)) {
            return "综合医疗服务类-护理费(3)：费用不允许小于0，";
        }

        /**
         * 综合医疗服务类-其他费用(4)
         */
        String YZY126 = "YZY126";
        if (YZY126.equals(type)) {
            return "综合医疗服务类-其他费用(4)：费用不允许小于0，";
        }

        /**
         * 诊断类-实验室诊断费(6)
         */
        String YZY128 = "YZY128";
        if (YZY128.equals(type)) {
            return "诊断类-实验室诊断费(6)：费用不允许小于0, ";
        }

        /**
         * 诊断类-影像学诊断费(7)
         */
        String YZY129 = "YZY129";
        if (YZY129.equals(type)) {
            return "诊断类-影像学诊断费(7)：费用不允许小于0, ";
        }

        /**
         * 康复类-康复费(11)
         */
        String YZY136 = "YZY136";
        if (YZY136.equals(type)) {
            return "康复类-康复费(11)：费用不允许小于0, ";
        }

        /**
         * 中医类-中医治疗费(12)
         */
        String YZY137 = "YZY137";
        if (YZY137.equals(type)) {
            return "中医类-中医治疗费(12)：费用不允许小于0, ";
        }

        /**
         * 中药类-中成药费(14)
         */
        String YZY153 = "YZY153";
        if (YZY153.equals(type)) {
            return "中药类-中成药费(14)：费用不允许小于0, ";
        }

        /**
         * 中药类-中草药费(15)
         */
        String YZY154 = "YZY154";
        if (YZY154.equals(type)) {
            return "中药类-中草药费(15)：费用不允许小于0, ";
        }

        /**
         * 血液和血液制品类-血费(16)
         */
        String YZY139 = "YZY139";
        if (YZY139.equals(type)) {
            return "血液和血液制品类-血费(16)：费用不允许小于0, ";
        }

        /**
         * 血液和血液制品类-白蛋白类制品费(17)
         */
        String YZY140 = "YZY140";
        if (YZY140.equals(type)) {
            return "血液和血液制品类-白蛋白类制品费(17)：费用不允许小于0, ";
        }

        /**
         * 血液和血液制品类-球蛋白类制品费(18)
         */
        String YZY141 = "YZY141";
        if (YZY141.equals(type)) {
            return "血液和血液制品类-球蛋白类制品费(18)：费用不允许小于0, ";
        }

        /**
         * 血液和血液制品类-凝血因子类制品费(19)
         */
        String YZY142 = "YZY142";
        if (YZY142.equals(type)) {
            return "血液和血液制品类-凝血因子类制品费(19)：费用不允许小于0, ";
        }

        /**
         * 血液和血液制品类-细胞因子类制品费(20)
         */
        String YZY143 = "YZY143";
        if (YZY143.equals(type)) {
            return "血液和血液制品类-细胞因子类制品费(20)：费用不允许小于0, ";
        }

        /**
         * 耗材类-检查用一次性医用材料费(21)
         */
        String YZY144 = "YZY144";
        if (YZY144.equals(type)) {
            return "耗材类-检查用一次性医用材料费(21)：费用不允许小于0, ";
        }

        /**
         * 耗材类-治疗用一次性医用材料费(22)
         */
        String YZY145 = "YZY145";
        if (YZY145.equals(type)) {
            return "耗材类-治疗用一次性医用材料费(22)：费用不允许小于0, ";
        }

        /**
         * 耗材类-手术用一次性医用材料费(23)
         */
        String YZY146 = "YZY146";
        if (YZY146.equals(type)) {
            return "耗材类-手术用一次性医用材料费(23)：费用不允许小于0, ";
        }

        /**
         * 其他类-其他费(24)
         */
        String YZY155 = "YZY155";
        if (YZY155.equals(type)) {
            return "其他类-其他费(24)：费用不允许小于0, ";
        }

        /**
         * 自付费用
         */
        String YZY122 = "YZY122";
        if (YZY122.equals(type)) {
            return "自付费用必填, ";
        }

        /**
         * （主要出院诊断）编码
         */
        String mainDiagCode = "mainDiagCode";
        if (mainDiagCode.equals(type)) {
            return "（主要出院诊断）编码的编码范围应为：A～U开头和Z开头的编码, ";
        }

        /**
         * （主要出院诊断）名称
         */
        String mainDiagName = "mainDiagName";
        if (mainDiagName.equals(type)) {
            return "（主要出院诊断）名称必填, ";
        }

        /**
         * （主要手术）名称
         */
        String YZY105 = "YZY105";
        if (YZY105.equals(type)) {
            return "有手术治疗费的患者，（主要手术）名称必填, ";
        }

        /**
         * （主要操作）名称
         */
        String YZY110 = "YZY110";
        if (YZY110.equals(type)) {
            return "有影像学诊断费的患者，（主要操作）名称必填, ";
        }

        /**
         * （主要出院诊断）入院病情
         */
        String YZY111 = "YZY111";
        if (YZY111.equals(type)) {
            return "（主要出院诊断）入院病情必填, ";
        }

        /**
         * （入院前）颅脑损伤时间
         */
        String YZY081 = "YZY081";
        if (YZY081.equals(type)) {
            return "（入院前）颅脑损伤时间必填, ";
        }

        /**
         * （入院后）颅脑损伤时间
         */
        String YZY082 = "YZY082";
        if (YZY082.equals(type)) {
            return "（入院后）颅脑损伤时间必填, ";
        }

        /**
         * （主要操作）切口愈合等级
         */
        String YZY083 = "YZY083";
        if (YZY083.equals(type)) {
            return "有“影像学诊断费”的患者，（主要操作）切口愈合等级必填, ";
        }

        /**
         * （主要手术）切口愈合等级
         */
        String YZY084 = "YZY084";
        if (YZY084.equals(type)) {
            return "有“手术治疗费”的患者，（主要手术）切口愈合等级必填, ";
        }

        /**
         * （主要手术）日期
         */
        String YZY106 = "YZY106";
        if (YZY106.equals(type)) {
            return "有“手术治疗费”的患者，（主要手术）日期必填, ";
        }

        /**
         * （主要操作）日期
         */
        String YZY085 = "YZY085";
        if (YZY085.equals(type)) {
            return "有“影像学诊断费”的患者，（主要操作）日期必填, ";
        }

        /**
         * 基于其他病理诊断内容判断病理诊断编码不为空
         */
        String pathologyDingCode = "pathologyDingCode";
        if (pathologyDingCode.equals(type)) {
            return "主要诊断为肿瘤编码时，当病理号、病理诊断或病理诊断费不为空时，病理诊断编码不能为空, ";
        }

        /**
         * 基于其他病理诊断内容判断病理诊断不为空
         */
        String pathologyDingName = "pathologyDingName";
        if (pathologyDingName.equals(type)) {
            return "主要诊断为肿瘤编码时，当病理号、病理诊断编码或病理诊断费不为空时，病理诊断不能为空, ";
        }

        /**
         * （主要手术）麻醉方式
         */
        String YZY107 = "YZY107";
        if (YZY107.equals(type)) {
            return "有“麻醉费”的患者，麻醉方式必填, ";
        }

        /**
         * 门急诊诊断编码
         */
        String YZY113 = "YZY113";
        if (YZY113.equals(type)) {
            return "门急诊诊断编码范围应为：A～U开头和Z开头的编码, ";
        }

        /**
         * 门急诊诊断
         */
        String YZY114 = "YZY114";
        if (YZY114.equals(type)) {
            return "门急诊诊断编码范围应为：A～U开头和Z开头的编码, ";
        }

        /**
         * 过敏药物
         */
        String YZY046 = "YZY046";
        if (YZY046.equals(type)) {
            return "患者有药物过敏，过敏药物必填, ";
        }

        /**
         * 死亡患者是否尸检
         */
        String YZY089 = "YZY089";
        if (YZY089.equals(type)) {
            return "有“尸体料理费”的患者，“离院方式”或“疗效”为“死亡”的患者，“死亡患者尸检”必填, ";
        }

        /**
         * ABO血型
         */
        String YZY090 = "YZY090";
        if (YZY090.equals(type)) {
            return "血型必填, ";
        }

        /**
         * 有无药物过敏
         */
        String is_medicine = "is_medicine";
        if (is_medicine.equals(type)) {
            return "有无药物过敏必填, ";
        }

        /**
         * 损伤、中毒的外部原因疾病编码必填
         */
        String YZY091 = "YZY091";
        if (YZY091.equals(type)) {
            return "主要诊断编码以S、T开头的，损伤、中毒的外部原因疾病编码必填, ";
        }

        /**
         * 损伤中毒的外部原因编码
         */
        String YZY092 = "YZY092";
        if (YZY092.equals(type)) {
            return "当主要诊断编码的范围在 S00 到 T98 之间时，其他诊断编码的必须为V, W, X, Y开头, ";
        }

        /**
         * 损伤、中毒的外部原因必填
         */
        String YZY093 = "YZY093";
        if (YZY093.equals(type)) {
            return "主要诊断编码以S、T开头的，损伤、中毒的外部原因必填, ";
        }

        /**
         * （主要操作）级别
         */
        String YZY094 = "YZY094";
        if (YZY094.equals(type)) {
            return "有“影像学诊断费”的患者，（主要操作）级别必填, ";
        }

        /**
         * （主要手术）级别
         */
        String YZY108 = "YZY108";
        if (YZY108.equals(type)) {
            return "有“手术治疗费”的患者，（主要手术）级别必填, ";
        }

        /**
         * 基于其他病理诊断内容判断病理号不为空
         */
        String YZY095 = "YZY095";
        if (YZY095.equals(type)) {
            return "主要诊断为肿瘤编码时，当病理诊断、病理诊断编码或病理诊断费不为空时，病理号必填, ";
        }

        /**
         * Rh血型
         */
        String YZY096 = "YZY096";
        if (YZY096.equals(type)) {
            return "Rh血型必填, ";
        }

        /**
         * （主要手术）术者
         */
        String YZY109 = "YZY109";
        if (YZY109.equals(type)) {
            return "有“手术治疗费”的患者，(主要手术) 术者必填, ";
        }

        /**
         * （主要操作）术者
         */
        String YZY097 = "YZY097";
        if (YZY097.equals(type)) {
            return "有“影像学诊断费”的患者，（主要操作）术者必填, ";
        }

        /**
         * 是否有31天内再次入院计划
         */
        String YZY098 = "YZY098";
        if (YZY098.equals(type)) {
            return "是否有31天内再次入院计划必填, ";
        }

        /**
         * 31天内再次入院目的
         */
        String YZY099 = "YZY099";
        if (YZY099.equals(type)) {
            return "有31天内再入院计划的患者，31天内再次住院目的必填, ";
        }

        /**
         * 转科科别
         */
        String YZY101 = "YZY101";
        if (YZY101.equals(type)) {
            return "在入院科别和出院科别不同时转科科别必填, ";
        }

        /**
         * 主任（副主任）医师
         */
        String YZY052 = "YZY052";
        if (YZY052.equals(type)) {
            return "主任（副主任）医师必填, ";
        }

        /**
         * 编码员
         */
        String YZY062 = "YZY062";
        if (YZY062.equals(type)) {
            return "编码员必填, ";
        }


        return null;
    }

    /**
     * 属性多次判断
     *
     * @param type
     * @param typeNum
     * @return
     */
    public String getReturnInfo(String type, int typeNum) {
        /**
         * 性别
         */
        String YZY008 = "YZY008";
        //判断是否为空
        if (YZY008.equals(type) && typeNum == 1) {
            return "性别必填, ";
        }
        //当性别为男时
        if (YZY008.equals(type) && typeNum == 2) {
            return "当性别为男性时，门（急）诊诊断编码、主要诊断编码、其它诊断编码不能使用以下编码：A34；B37.3；C51-C58；" +
                    "C79.6；D06；D07.0-D07.3；D25-D28；D39；E28；E89.4；F52.5；F53；I86.3；L29.2；M80.0-M80.1；" +
                    "M81.0-M81.1；M83.0；N70-N98；N99.2-N99.3；O00-O99；P54.6；Q50-Q52；R87；S31.4；S37.4-S37.6；" +
                    "T19.2-T19.3；T83.3；Z01.4；Z12.4；Z30.1；Z30.3；Z30.5；Z31.1-Z31.2；Z32-Z37；Z39；Z87.5；Z97.5, ";
        }
        //当性别为女时
        if (YZY008.equals(type) && typeNum == 3) {
            return "当性别为女性时，门（急）诊诊断编码、主要诊断编码、其它诊断编码不能使用以下编码：B26.0；C60-C63；D07.4-D07.6；" +
                    "D17.6；D29；D40；E29；E89.5；F52.4；I86.1；L29.1；N40-N51；Q53-Q55；R86；S31.2-S31.3；Z12.5, ";
        }

        /**
         * 年龄
         */

        String AKC023 = "AKC023";
        //判断是否为空
        if (AKC023.equals(type) && typeNum == 1) {
            return "年龄必填, ";
        }
        //年龄等于入院日期减出生日期
        if (AKC023.equals(type) && typeNum == 2) {
            return "年龄必须等于入院日期减出生日期, ";
        }
        //不足一周岁年龄（月天）-1
        if (AKC023.equals(type) && typeNum == 3) {
            return "当门（急）诊诊断编码、主要诊断编码、其它诊断编码出现P10～P15时，入院日期减出生日期必须≤28天，且（年龄不足1周岁的）年龄必须≤28天, ";
        }
        //不足一周岁年龄（月天）-2
        if (AKC023.equals(type) && typeNum == 4) {
            return "年龄小于1周岁即年龄为0时，（年龄不足1周岁的）年龄不能为空, ";
        }

        /**
         * 住院总费用
         */
        String AKC264 = "AKC264";
        //判断是否为空
        if (AKC264.equals(type) && typeNum == 1) {
            return "住院总费用必填, ";
        }
        //判断总费用范围
        if (AKC264.equals(type) && typeNum == 2) {
            return "住院费用不能小于5，不能大于1000000, ";
        }

        /**
         * 诊断类-病理诊断费(5)
         */
        String YZY127 = "YZY127";
        //判断是否小于0
        if (YZY127.equals(type) && typeNum == 1) {
            return "诊断类-病理诊断费(5) 费用不允许小于0，";
        }
        //判断主要诊断为肿瘤编码时，当病理号、病理诊断编码或病理诊断不为空时是否为空
        if (YZY127.equals(type) && typeNum == 2) {
            return "主要诊断为肿瘤编码时，当病理号、病理诊断编码或病理诊断不为空时，诊断类-病理诊断费(5)不能为空，";
        }

        /**
         * 治疗类-非手术治疗项目费(9)
         */
        String YZY131 = "YZY131";
        //判断是否小于0
        if (YZY131.equals(type) && typeNum == 1) {
            return "治疗类-非手术治疗项目费(9) 费用不允许小于0, ";
        }
        //判断非手术治疗项目费是否大于等于临床物理治疗费
        if (YZY131.equals(type) && typeNum == 2) {
            return "非手术治疗项目费必须大于等于临床物理治疗费, ";
        }

        /**
         * 治疗类-手术治疗费(10)
         */
        String YZY133 = "YZY133";
        //判断是否小于0
        if (YZY133.equals(type) && typeNum == 1) {
            return "治疗类-手术治疗费(10) 费用不允许小于0, ";
        }
        //手术治疗费必须大于等于麻醉费与手术费之和
        if (YZY133.equals(type) && typeNum == 2) {
            return "手术治疗费必须大于等于麻醉费与手术费之和, ";
        }
        //判断是否有手术病例
        if (YZY133.equals(type) && typeNum == 3) {
            return "有手术的病例手术治疗费必须大于0, ";
        }

        /**
         * 西药类-西药费(13)
         */
        String YZY138 = "YZY138";
        //判断是否小于0
        if (YZY138.equals(type) && typeNum == 1) {
            return "西药类-西药费(13) 费用不允许小于0, ";
        }
        //西药费必须大于等于抗菌药物费用
        if (YZY138.equals(type) && typeNum == 2) {
            return "西药费必须大于等于抗菌药物费用, ";
        }

        /**
         * （其他出院诊断）编码-1
         */
        String YZY221 = "YZY221";
        //其他出院诊断）编码的编码范围应为：A～U开头和Z开头的编码
        if (YZY221.equals(type) && typeNum == 1) {
            return "（其他出院诊断）编码的编码范围应为：A～U开头和Z开头的编码, ";
        }
        //当主要诊断或者其它诊断编码出现O80-O84编码，且无流产结局编码出现O00-O08编码时，其它诊断编码必须有分娩结局编码Z37
        if (YZY221.equals(type) && typeNum == 2) {
            return "当主要诊断或者其它诊断编码出现O80-O84编码，且无流产结局编码出现O00-O08编码时，其它诊断编码必须有分娩结局编码Z37, ";
        }

        /**
         * 离院方式
         */
        String YZY070 = "YZY070";
        //判断是否为空
        if (YZY070.equals(type) && typeNum == 1) {
            return "离院方式必填, ";
        }
        //有“尸体料理费”的患者，“离院方式”都只能为“死亡
        if (YZY070.equals(type) && typeNum == 1) {
            return "有“尸体料理费”的患者，“离院方式”都只能为“死亡”, ";
        }

        /**
         * 入院时间
         */
        String YKC701 = "YKC701";
        //判断是否为空
        if (YKC701.equals(type) && typeNum == 1) {
            return "入院时间必填, ";
        }
        //判断入院时间是否小于出院时间
        if (YKC701.equals(type) && typeNum == 1) {
            return "入院日期应该小于出院日期, ";
        }
        //判断手术操作日期是否大于入院日期，小于出院日期
        if (YKC701.equals(type) && typeNum == 1) {
            return "手术操作日期应大于入院日期, ";
        }

        /**
         * 出院时间
         */
        String YKC702 = "YKC702";
        //判断是否为空
        if (YKC702.equals(type) && typeNum == 1) {
            return "出院时间必填, ";
        }
        //判断入院时间是否小于出院时间
        if (YKC702.equals(type) && typeNum == 1) {
            return "入院日期应该小于出院日期, ";
        }
        //判断手术操作日期是否大于入院日期，小于出院日期
        if (YKC702.equals(type) && typeNum == 1) {
            return "手术操作日期应大于入院日期，小于出院日期, ";
        }

        /**
         * 主要诊断编码判断
         */
        String AKC196 = "AKC196";
        //Z37不能作为组长
        if (AKC196.equals(type) && typeNum == 1) {
            return "Z37不能作为组长, ";
        }
        //主要诊断出现C00到C97 D00到D48 附属诊断开头为N 且有斜杆
        if (AKC196.equals(type) && typeNum == 2) {
            return "主要诊断出现C00到C97 D00到D48 附属诊断开头为N 且有斜杆, ";
        }





        return null;
    }
}
