package com.ann.demo.repository;

import com.ann.demo.entity.filing.MedicalRecordHomepageCache;
import com.ann.demo.entity.filing.ids.MedicalRecordHomepageCacheIds;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.stereotype.Repository;

/**
 * @Author: LeiJiaXin
 * @Date: 2019/9/26 9:31
 */
@Repository
public interface MedicalRecordHomepageCacheRepository extends JpaRepository<MedicalRecordHomepageCache, MedicalRecordHomepageCacheIds> {
    /**
     * 根据masterId查询
     * @param masterId
     * @return
     */
    public MedicalRecordHomepageCache findByMasterId(String masterId);
}
